Wordpress 2.8

Notice – For those of you considering Wordpress 2.8 please read this forum thread first.

Semiologic 6.0 is on it’s way. This will maximise the benefits available from WP 2.8. But 2.8 has to be made reliable first and Denis, author of Semiologic, is heavily involved with Wordpress in that process.  Please read the forum thread and Denis’ tweets in the right sidebar of this blog for the latest information.

For those with operational business sites you need to consider the most secure route for continuity. It may well be advisable simply to wait a few weeks for the dust to settle.